package eu.jovian_hersemeule.dev.squad.squad_composer.data.projections;

import eu.jovian_hersemeule.dev.squad.squad_composer.data.jpa.PlayerEntity;

/**
 * Projection qui ne retourne pas beaucoup d'infos.
 */
public class PlayerItem {

    private final long id;
    private final String name;

    public static PlayerItem project(final PlayerEntity entity) {
        return new PlayerItem(entity);
    }

    private PlayerItem(final PlayerEntity entity) {
        this.id = entity.getId();
        this.name = entity.getName();
    }

    public Long getId() {
        return id;
    }

    public String getName() {
        return name;
    }
}
